<?php
/**
 * masonry Section options
 *
 * @package Theme Palace
 * @subpackage Travel Ultimate Pro
 * @since Travel Ultimate Pro 1.0.0
 */

// Add masonry section
$wp_customize->add_section( 'travel_ultimate_pro_masonry_section', array(
	'title'             => esc_html__( 'Masonry','travel-ultimate-pro' ),
	'description'       => esc_html__( 'Note: To activate this section you need to install WooCommerce Plugin.', 'travel-ultimate-pro' ),
	'panel'             => 'travel_ultimate_pro_front_page_panel',
) );

// masonry content enable control and setting
$wp_customize->add_setting( 'travel_ultimate_pro_theme_options[masonry_section_enable]', array(
	'default'			=> 	$options['masonry_section_enable'],
	'sanitize_callback' => 'travel_ultimate_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Travel_Ultimate_Pro_Switch_Control( $wp_customize, 'travel_ultimate_pro_theme_options[masonry_section_enable]', array(
	'label'             => esc_html__( 'masonry Section Enable', 'travel-ultimate-pro' ),
	'section'           => 'travel_ultimate_pro_masonry_section',
	'on_off_label' 		=> travel_ultimate_pro_switch_options(),
) ) );

for ( $i = 1; $i <= 4; $i++ ) :

	// Add dropdown category setting and control.
	$wp_customize->add_setting(  'travel_ultimate_pro_theme_options[masonry_content_masonry_category_'.$i.']', array(
		'sanitize_callback' => 'absint',
		) ) ;

$wp_customize->add_control( new Travel_Ultimate_Pro_Dropdown_Taxonomies_Control( $wp_customize,'travel_ultimate_pro_theme_options[masonry_content_masonry_category_'.$i.']', array(
	'label'             => esc_html__( 'Select masonry Category ', 'travel-ultimate-pro' ).$i,
	'section'           => 'travel_ultimate_pro_masonry_section',
	'taxonomy'			=> 'product_cat',
	'type'              => 'dropdown-taxonomies',
	'active_callback'	=> 'travel_ultimate_pro_is_masonry_section_enable'
	) ) );

endfor;
